=== socksclient/CMakeLists.txt ===
badvpn_add_library(socksclient "system;flow;flowextra" "" BSocksClient.c)
