=== udpgw_client/CMakeLists.txt ===
badvpn_add_library(udpgw_client "system;flow;flowextra" "" UdpGwClient.c)
